com.lowagie.text.xml

## Class XmlParser

- java.lang.Object
- - com.lowagie.text.xml.XmlParser

Direct Known Subclasses:
  HtmlParser

    public class XmlParser
    extends Object

This class can be used to parse an XML file.

### Field Summary

Fields
`protected SAXParser` `parser` This is the instance of the parser.

### Constructor Summary

Constructors
Constructor and Description
`XmlParser()` Constructs an XmlParser.

### Method Summary

Methods
`void` `go(DocListener document, InputSource is)` Parses a given file.
`void` `go(DocListener document, InputSource is, HashMap tagmap)` Parses a given file.
`void` `go(DocListener document, InputSource is, InputStream tagmap)` Parses a given file.
`void` `go(DocListener document, InputSource is, String tagmap)` Parses a given file.
`void` `go(DocListener document, String file)` Parses a given file.
`void` `go(DocListener document, String file, HashMap tagmap)` Parses a given file.
`void` `go(DocListener document, String file, String tagmap)` Parses a given file.
`static void` `parse(DocListener document, InputSource is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, InputSource is, HashMap tagmap)` Parses a given file and writes the content to a document, using a certain tagmap.
`static void` `parse(DocListener document, InputSource is, String tagmap)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, InputStream is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, InputStream is, HashMap tagmap)` Parses a given file and writes the content to a document, using a certain tagmap.
`static void` `parse(DocListener document, InputStream is, String tagmap)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, Reader is)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, Reader is, HashMap tagmap)` Parses a given file and writes the content to a document, using a certain tagmap.
`static void` `parse(DocListener document, Reader is, String tagmap)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, String file)` Parses a given file that validates with the iText DTD and writes the content to a document.
`static void` `parse(DocListener document, String file, HashMap tagmap)` Parses a given file and writes the content to a document, using a certain tagmap.
`static void` `parse(DocListener document, String file, String tagmap)` Parses a given file that validates with the iText DTD and writes the content to a document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parser

    protected SAXParser parser

This is the instance of the parser.

### Constructor Detail

#### XmlParser

    public XmlParser()

Constructs an XmlParser.

### Method Detail

#### go

    public void go(DocListener document,
          InputSource is)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The InputStream with the contents

#### go

    public void go(DocListener document,
          InputSource is,
          String tagmap)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The inputsource with the content
  `tagmap` - A user defined tagmap

#### go

    public void go(DocListener document,
          InputSource is,
          InputStream tagmap)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `is` - the inputsource with the content
  `tagmap` - an inputstream to a user defined tagmap

#### go

    public void go(DocListener document,
          InputSource is,
          HashMap tagmap)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `is` - the inputsource with the content
  `tagmap` - a user defined tagmap

#### go

    public void go(DocListener document,
          String file)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `file` - The path to a file with the content

#### go

    public void go(DocListener document,
          String file,
          String tagmap)

Parses a given file.

Parameters:
  `document` - the document that will listen to the parser
  `file` - the path to a file with the content
  `tagmap` - a user defined tagmap

#### go

    public void go(DocListener document,
          String file,
          HashMap tagmap)

Parses a given file.

Parameters:
  `document` - The document that will listen to the parser
  `file` - the path to a file with the content
  `tagmap` - a user defined tagmap

#### parse

    public static void parse(DocListener document,
             InputSource is)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - the inputsource with the content

#### parse

    public static void parse(DocListener document,
             InputSource is,
             String tagmap)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The inputsource with the content
  `tagmap` - a user defined tagmap

#### parse

    public static void parse(DocListener document,
             InputSource is,
             HashMap tagmap)

Parses a given file and writes the content to a document, using a certain tagmap.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The inputsource with the content
  `tagmap` - a user defined tagmap

#### parse

    public static void parse(DocListener document,
             String file)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `file` - The path to a file with the content

#### parse

    public static void parse(DocListener document,
             String file,
             String tagmap)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `file` - The path to a file with the content
  `tagmap` - A user defined tagmap

#### parse

    public static void parse(DocListener document,
             String file,
             HashMap tagmap)

Parses a given file and writes the content to a document, using a certain tagmap.

Parameters:
  `document` - The document that will listen to the parser
  `file` - The path to a file with the content
  `tagmap` - A user defined tagmap

#### parse

    public static void parse(DocListener document,
             InputStream is)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The inputsource with the content

#### parse

    public static void parse(DocListener document,
             InputStream is,
             String tagmap)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The inputstream with the content
  `tagmap` - A user defined tagmap

#### parse

    public static void parse(DocListener document,
             InputStream is,
             HashMap tagmap)

Parses a given file and writes the content to a document, using a certain tagmap.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The InputStream with the content
  `tagmap` - A user defined tagmap

#### parse

    public static void parse(DocListener document,
             Reader is)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The reader that reads the content

#### parse

    public static void parse(DocListener document,
             Reader is,
             String tagmap)

Parses a given file that validates with the iText DTD and writes the content to a document.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The reader that reads the content
  `tagmap` - A user defined tagmap

#### parse

    public static void parse(DocListener document,
             Reader is,
             HashMap tagmap)

Parses a given file and writes the content to a document, using a certain tagmap.

Parameters:
  `document` - The document that will listen to the parser
  `is` - The reader that reads the content
  `tagmap` - A user defined tagmap